package com.cosylab.cosydist.tools;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * This class is created to help user to prepare file with license for use with
 * licenseheader plugin. The license in the file must be written in java's
 * comment form for plugin to work.<br />
 * <b>NOTE:</b> input file can not be the same as output file<br />
 * <br />
 * To run this program, you simply run it's main method.
 * 
 * @author Rok Konina
 * 
 */
public class LicenseCommenter {
	private static File f1 = null;
	private static File f2 = null;
	private static JTextField t = null;
	private static JButton b = null, b2 = null;
	private static JFrame f = null;
	private static JFileChooser jfc = null;

	public static void main(String[] args) {
		System.out
				.println("Ta program skopira datoteko z licenco in doda znake za komentarje.");
		System.out.println("Ce je vsebina vhodne datoteke taksna:");
		System.out.println(" --------------------------------------");
		System.out.println("|To je neko besedilo vhodne datoteke,  |");
		System.out.println("|ki se razteza cez 2 vrstici.          |");
		System.out.println(" --------------------------------------");
		System.out.println();
		System.out.println("Potem je vsebina izhodne datoteke taksna:");
		System.out.println(" --------------------------------------");
		System.out.println("|/**                                   |");
		System.out.println("| *To je neko besedilo vhodne datoteke,|");
		System.out.println("| *ki se razteza cez 2 vrstici.        |");
		System.out.println("| */                                   |");
		System.out.println(" --------------------------------------");
		jfc = new JFileChooser();
		if (jfc.showOpenDialog(null) != JFileChooser.APPROVE_OPTION) {
			System.out.println();
			System.out.println("Konec");
			return;
		}
		f1 = jfc.getSelectedFile();

		f = new JFrame("Novo ime datoteke");
		f.getContentPane().setLayout(new BorderLayout());
		t = new JTextField(f1.getAbsolutePath());
		t.setMaximumSize(new Dimension(200, 10));
		t.setMaximumSize(new Dimension(500, 30));
		t.setPreferredSize(new Dimension(300, 15));
		f.add(t, BorderLayout.CENTER);
		b = new JButton("Ok");
		b.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				getSeccond();
			}
		});
		b2 = new JButton("Choose");
		b2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				selectSeccond();
			}
		});
		JPanel jp = new JPanel();
		jp.setLayout(new GridLayout(1, 2));
		jp.add(b);
		jp.add(b2);
		f.add(jp, BorderLayout.EAST);
		f.pack();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setVisible(true);
	}

	private static void comment() throws IOException {
		BufferedReader vhod = new BufferedReader(new FileReader(f1));
		BufferedWriter izhod = new BufferedWriter(new FileWriter(f2));
		System.out.println("Prepisujem iz");
		System.out.println(f1.getPath());
		System.out.println("v");
		System.out.println(f2.getPath());
		System.out.println("Delam...");
		izhod.write("/**");
		izhod.write(vhod.readLine());
		izhod.newLine();
		while (vhod.ready()) {
			izhod.write(" *");
			izhod.write(vhod.readLine());
			izhod.newLine();
		}
		izhod.write(" */");
		izhod.close();
		vhod.close();
		System.out.println();
		System.out.println("Konec");
	}

	private static void selectSeccond() {
		jfc.showOpenDialog(null);
		f2 = jfc.getSelectedFile();
		if (f2.getAbsolutePath().equals(f1.getAbsolutePath())) {
			selectSeccond();
			return;
		}
		try {
			comment();
		} catch (IOException e1) {
			e1.printStackTrace();
		}
		f.dispose();
	}

	private static void getSeccond() {
		f2 = new File(t.getText());
		if (f2.getAbsolutePath().equals(f1.getAbsolutePath())) {
			System.err
					.println("Vhodna in izhodna datoteka ne smeta biti isti.");
			return;
		}
		try {
			comment();
		} catch (IOException e1) {
			e1.printStackTrace();
		}
		f.dispose();
	}
}
