package de.desy.acop.video;

import java.awt.datatransfer.DataFlavor;

/**
 * 
 * <code>AcopVideoParametersDataFlavor</code> describe the data flavor employed
 * by the AcopVideo.
 *
 * @author <a href="mailto:jaka.bobnar@cosylab.com">Jaka Bobnar</a>
 *
 */
public class AcopVideoParametersFlavor extends DataFlavor {

	private static final long serialVersionUID = 1894080722691121814L;
	public static final AcopVideoParametersFlavor FLAVOR = new AcopVideoParametersFlavor();
	
	/**
	 * Creates new instance of AcopVideoParametersDataFlavor.
	 */
	public AcopVideoParametersFlavor() {
		super(AcopVideoParameters[].class,"Acop Video Parameters Flavor");
	}
}
