package de.desy.acop.video.analysis.gaussian;

import de.desy.acop.video.analysis.AnalysisData;


public class Gaussian2DAnalysisData extends AnalysisData{
	public final double amplitude;
	public final double mean;
	public final double std;
	public final double constant;
	public final double angle;


	public Gaussian2DAnalysisData(double[] profile, int roiStart, int roiLength, boolean drawFit,
	        double amplitude, double mean, double std, double angle, double constant) {
		super(profile,roiStart,roiLength,drawFit);
		this.amplitude = amplitude;
		this.mean = mean;
		this.std = std;
		this.constant = constant;
		this.angle = angle;
	}
}
