/*
 * Created on Jan 16, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.config;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Parameters for the generation of eclipse 
 * projects. Currently the eclipse project generation 
 * can only be enabled or disabled.
 * @author jwlg
 */
@XmlRootElement
public class CfgEclipseProject {
    
    private boolean isEnabled = false;
    
    /**
     * Returns true if the project is an eclipse project.
     */
    @XmlElement
    public boolean isEnabled() {
        return isEnabled;
    }
   
    /**
     * Enables or disables the eclipse project generation.
     * @param isEnabled
     */
    public void setEnabled(boolean isEnabled) {
        this.isEnabled = isEnabled;
    }
    
}
