/*
 * Created on Nov 28, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;


/**
 * An exception which can be thrown by a device method when data 
 * with an invalid size are given as a parameter.
 * 
 * @author jwlg
 */public class InvalidSizeException extends InvalidParameterException {

    private static final long serialVersionUID = 1625931569793449567L;

    /**
     * Default constructor.
     */
    public InvalidSizeException() {
        super(ErrorSpecs.INVALID_SIZE_EXCEPTION);
    }
    
    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public InvalidSizeException(String message) {
        super(ErrorSpecs.INVALID_SIZE_EXCEPTION, message);
    }

}
