/*
 * Created on Sep 20, 2006
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;


/**
 * An exception which can be thrown by a device method when an invalid
 * value is given as a parameter.
 * 
 * @author jwlg
 */
public class InvalidValueException extends InvalidParameterException {

    private static final long serialVersionUID = 7946198632757614912L;

    /**
     * Default constructor.
     */
    public InvalidValueException() {
        super(ErrorSpecs.INVALID_VALUE_EXCEPTION);
    }
    
    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public InvalidValueException(String message) {
        super(ErrorSpecs.INVALID_VALUE_EXCEPTION, message);
    }

}
