/*
 * Created on Mar 21, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.server;

/**
 * The interface for directory set factories.
 * 
 * @author jwlg
 * 
 * @see DirectorySet
 */
public interface IDirectorySetFactory {
    
    /**
     * Creates a DirectorySet for an application name.
     * @param applicationName The application name.
     */
    public DirectorySet createDirectorySet(String applicationName);
}
