/*
 * Created on Jun 7, 2006
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.tools.selector;

/**
 * The basic interface for a set of selectors.
 * 
 * A selector set is a selector which internaly is a 
 * set of selectors. Selectors can be added dynamically.
 * @author jwlg
 */
public interface ISelectorSet<T> extends ISelector<T> {
    public void addSelector(ISelector<T> newSelector);
}
