package de.desy.tine.console;

import java.io.IOException;
import java.io.InputStream;

import de.desy.tine.server.logger.MsgLog;

public class TCommandInputHandler extends Thread
{
  InputStream in = null;
  public TCommandInputHandler()
  {
    setName("CommandInputThread");
    in = System.in;
  }
  public TCommandInputHandler(InputStream inputStream)
  {
    setName("CommandInputThread");
    in = inputStream;
  }
  public synchronized void run()
  {
    MsgLog.log("TCommandInputHandler", "starting thread "+getName(),0,null,1);
    char c = 0;
    StringBuffer cmdsb = new StringBuffer(64);
    while (c != 'q')
    {
      try
      {
        c = (char)in.read();
        cmdsb.append(c);
        if (c == '\n') 
        {
          TCommandList.parseCommand(cmdsb.toString());
          cmdsb = new StringBuffer(64);
        }
      }
      catch (IOException e) {}
    }
  }
}
