package de.desy.tine.definitions;

public final class TEncoding
{
  public static final short CE_ASCII = 0x00;
  public static final short CE_UTF8 = 0x01;
  public static String toString(short encoding)
  {
    switch (encoding)
    {
      default:
      case CE_ASCII: return "Big Endian";
      case CE_UTF8: return "Little Endian";
    }
  }
  public static short getEncodingCode(String txt)
  {
    txt = txt.toUpperCase();
    if (txt == null) return CE_ASCII;
    if (txt.contains("ASCII")) return CE_ASCII;
    if (txt.contains("UTF") && txt.contains("8")) return CE_UTF8;
    return CE_ASCII;
  }

}
