package de.desy.tine.definitions;

public final class TTransferCodes
{
  static public final int CX_NULL = 0x00;
  static public final int CX_RESPONSE = 0x01;
  static public final int CX_STALE = 0x02;
  static public final int CX_HEARTBEAT = 0x04;
  static public final int CX_EVENT = 0x08;
  static public final int CX_TIMER = 0x10;
  static public final int CX_MESSAGE = 0x20;
  static public final int CX_ERROR = 0x40;
  static public final int CX_ATTACH = 0x80;
  static public final int CX_RETRY = 0x100;
  static public String toString(int code)
  {
    String s = "";
    String sep = "";
    if ((code & CX_RESPONSE) == CX_RESPONSE) s += "response";
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_STALE) == CX_STALE) s += (sep+"stale");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_HEARTBEAT) == CX_HEARTBEAT) s += (sep+"heartbeat");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_EVENT) == CX_EVENT) s += (sep+"event");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_TIMER) == CX_TIMER) s += (sep+"timer");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_MESSAGE) == CX_MESSAGE) s += (sep+"message");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_ERROR) == CX_ERROR) s += (sep+"error");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_ATTACH) == CX_ATTACH) s += (sep+"attach");
    if (s.length() > 0 && sep.length() == 0) sep = "|";
    if ((code & CX_RETRY) == CX_RETRY) s += (sep+"retry");
    return s;
  }
}
