package de.desy.tine.exceptions;

import de.desy.tine.definitions.TErrorList;

public class TineRuntimeErrorException extends RuntimeException
{
  private static final long serialVersionUID = -4531731303782963600L;
  private int errorCode = 0;
  public int getErrorCode() { return errorCode; }
  public TineRuntimeErrorException(int code)
  {
    super(TErrorList.toString(code));
    errorCode = code;
  }
  public TineRuntimeErrorException(int code, String msg)
  {
    super(TErrorList.toString(code)+" : "+(msg != null ? msg : "(no further information)"));
    errorCode = code;
  }
}
