package de.desy.tine.histUtils;

import java.util.Arrays;

/**
 * 
 * <code>Util</code> provides common utility methods.
 *
 * @author <a href="mailto:jaka.bobnar@cosylab.com">Jaka Bobnar</a>
 *
 */
final class Util {

    private Util() {}
    
    /**
     * Copies the string s into the given char array.
     *  
     * @param s source
     * @param c destination
     */
    public static void pushChars(String s, char[] c) {
        if (s == null) s = "";
        int len = s.length();
        Arrays.fill(c,(char)0);
        if (len > c.length) len = c.length;
        s.getChars(0,len,c,0);
    }
}
