package de.desy.tine.types;

import de.desy.tine.dataUtils.TDataTime;
import de.desy.tine.definitions.TFormat;

public final class DBLTIME extends DBLDBL
{
  public DBLTIME() { this(0,0); }  
  public DBLTIME(double d) { this(d,d); }  
  private short dFormat = TFormat.CF_DBLTIME;
  public short getFormat() { return dFormat; } 
  public DBLTIME(double d1, double d2) { d1val = d1; d2val = d2; }  
  public DBLTIME(DBLTIME instance) { d1val = instance.d1val; d2val = instance.d2val; }
  public DBLTIME(DBLDBL instance) { d1val = instance.d1val; d2val = instance.d2val; }
  public String toString()
  {
      return "["+ d1val + separator + TDataTime.toString(d2val) + "]";
  }
  public boolean equals(DBLTIME instance)
  {
    if (instance.d1val != d1val) return false;
    if (instance.d2val != d2val) return false;
    return true;
  }
  public boolean equals(Object obj)
  {
    if (this == obj) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    final DBLTIME other = (DBLTIME) obj;
    return equals(other);
  }
  public DBLTIME newInstance()
  {
    return new DBLTIME();
  }
  public DBLTIME clone()
  {
    return new DBLTIME(this);
  }  
}
