/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package de.desy.tine.xmlUtils;

import java.lang.reflect.*;
import java.util.ArrayList;

/**
 *
 * @author karol
 */
class TineConfigTreeItem 
{
    private String name;
    private Object value;
    private Class<?> type;
    private ArrayList<Field> fields;
    
    public TineConfigTreeItem(Class<?> type, String name, Object value)
    {
        this.name = name;
        this.value = value;
        this.type = type;
        this.fields = new ArrayList<Field>();
                     
        if( value == null) return;
        
        if( type.isPrimitive() || type.isArray() || type.equals(String.class) ) return;
//        if( value == null ) return;
//        
//        Field[] f = value.getClass().getDeclaredFields();
//        AccessibleObject.setAccessible(f, true);
//        for( Field fi: f ) 
//        {
//            if( (fi.getModifiers() & Modifier.STATIC) == 0 ) fields.add(fi);
//        }        
    }

    public Object getValue()
    {
        return value;        
    }
    public ArrayList<Field> getFields()
    {
        return fields;
    }
    
    @Override
    public String toString()
    {
       String r = name;
       if( value == null ) return r+= " = null";
             
       if( type.isPrimitive() ) r += " = " + value;
       else if( type.equals(String.class)) r+= " = " + value;
       
       return r;
    }
}
