/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.desy.tine.xmlUtils;

import javax.swing.*;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import de.desy.tine.definitions.TErrorList;
import de.desy.tine.server.logger.MsgLog;

/**
 *
 * @author karol
 */
public class TineXMLparser
{
    FecCfg fc;
    Document doc;

    public TineXMLparser(Document doc)
    {
        this.doc = doc;
    }
   
    public FecCfg parse()
    {
        Element root = doc.getDocumentElement();
        if( root.getNodeName().equalsIgnoreCase("fec"))
        {
            FecCfg fecCfg = new FecCfg("FEC");
            fecCfg.parse(root);
            fc = fecCfg;
            return fecCfg;
        }
        else MsgLog.log("FecCfg", "-WARNING: unexpected tag name:" + root.getNodeName(),TErrorList.invalid_field,null,0);
        return null;
    }
    
    void dump()
    {
        if( fc == null ) System.out.println( "parsing not called.");
        else fc.dump(3);
    }

    void show(JTree jTree)
    {
        jTree.setModel(new TineCfgTreeModel(fc) );
    }
}
