/*
 * Copyright (c) 2003-2008 by Cosylab d. d.
 *
 * This file is part of CosyBeans.
 *
 * CosyBeans is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CosyBeans is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CosyBeans.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.cosylab.application;

import java.awt.Container;


/**
 * GUI of an application, which can host plugin manager. 
 * @author ikriznar
 *
 */
public interface ApplicationPanel {
	public void insertPlugInGUI(VisiblePlugIn plugin, Object constraint);
	public void removePlugInGUI(VisiblePlugIn plugin);
	public Container getRootContainer();
	public Container getContentPane();
	public String getName();
}
