/*
 * Copyright (c) 2003-2008 by Cosylab d. d.
 *
 * This file is part of CosyBeans.
 *
 * CosyBeans is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CosyBeans is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CosyBeans.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.cosylab.gui.adapters;

import java.awt.Image;
import java.beans.SimpleBeanInfo;

import com.cosylab.gui.components.util.ImageHelper;


/**
 * LinearConverterBeanInfo bean info.
 *
 * @author <a href="mailto:igor.verstovsek@cosylab.com">Igor Verstovsek</a>
 * @version $version$
 */
public class LinearConverterBeanInfo extends SimpleBeanInfo
{
	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	@Override
    public Image getIcon(int iconKind)
	{
		return ImageHelper.createImage(
		    "icons/navigation/ArrowRight16.gif");
	}
}

/* __oOo__ */
