package com.cosylab.gui.util;

import java.awt.Dimension;

import javax.swing.JComponent;

public class GUIUtilities {
    
    /**
     * Set the fixed size for the given comoponent. This method sets the minimum, maximum and preferred size of the
     * component to the given dimension.
     * 
     * @param c the component to fix its size
     * @param dim the dimension to set
     */
    public static void setFixedSize(JComponent c, Dimension dim) {
        c.setMinimumSize(dim);
        c.setMaximumSize(dim);
        c.setPreferredSize(dim);
        c.putClientProperty("acopFixedSize",Boolean.TRUE);
    }
}
