package de.desy.acop.transport;

import de.desy.acop.chart.Acop;

/**
 * @version 	1.0
 * @author
 */
public interface AcopTransportPlug
{
  public int handleRequest(AcopTransportRequest atr);
  //public acopTransportCallback atc = new acopTransportCallback();
  public String getPlugName();
  public String[] getDeviceContexts();
  public String[] getDeviceGroups(String deviceContext,String deviceGroup,String deviceName,String deviceProperty);
  public String[] getDeviceNames(String deviceContext,String deviceGroup,String deviceName,String deviceProperty);
  public String[] getDeviceProperties(String deviceContext,String deviceGroup,String deviceName,String deviceProperty);
  public int getObjectSize(Object data);
  public int acquireDisplayProperties(Acop a,String deviceContext,String deviceGroup,String deviceName,String deviceProperty);
  public double[] getXAxis(Object data);
  public double[] getYAxis(Object data);
}
