package de.desy.acop.video;

import com.cosylab.gui.components.customizer.AbstractCustomizerPanel;

import de.desy.acop.displayers.selector.ConnectionCustomizer;

public class AcopVideoCustomizer extends AbstractCustomizerPanel {

	private static final long serialVersionUID = -7682488932083846573L;
	 
	public static final String[] SETTINGS = {"colorMap","AOIZoom", "keepAspectRatio","overlayEnabled"};
	
	/**
	 * Constructs a new AcopTableCustomizer.
	 *
	 */
	public AcopVideoCustomizer() {
		addCustomizer("Connections", new ConnectionCustomizer());
		addCustomizerTable("Video properties", SETTINGS);
		setSize(550,505); 
	}
}
