/**
 * 
 */
package de.desy.acop.video.analysis;

/**
 * </code>AnalysisMode</code> lists all possible analysis modes for 
 * </code>AcopVideo</code> bean.
 * 
 * @author Tilen Kusterle, Cosylab
 *
 */
public enum AnalysisMode {
	NO_ANALYSIS, LOCAL_ANALYSIS, REMOTE_ANALYSIS;

	/* (non-Javadoc)
	 * @see java.lang.Enum#toString()
	 */
	@Override
	public String toString() {
		if (this == NO_ANALYSIS) return "No Analysis";
		else if (this == LOCAL_ANALYSIS) return "Local Analysis";
		else return "Remote Analysis";
	}
	
}