/*
 * Created on Jan 17, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.config;

/**
 * An enumeration of available facilities.
 * The name "machine" is kept for compatibilty.
 * This class is not needed anymore and will be abandoned
 * in the future.
 * @author jwlg
 * @deprecated
 */
public enum CfgMachine {
    
    NONE("NONE","",""),
    COMMON("COMMON", "common", "ALL"),
    PETRA("PETRA","petra","PE"),
    FLASH("FLASH","flash","FLASH"),
    LINAC2("LINAC2","linac2","L2"),
    LINAC3("LINAC3","linac3","L3"),
    DESY2("DESY2","desy2","D2"),
    DESY3("DESY3","desy3","D3"),
    PIA("PIA","pia","PIA"),
    DORIS("DORIS","doris","DO"),
    HERA("HERA","hera","HE");
    
    private String name = "";
    private String packageSection = "";
    private String abbreviation = "";
    
    private CfgMachine(String name, String packageSection, String abbreviation) {
       this.name = name;
       this.packageSection = packageSection;
       this.abbreviation = abbreviation;
    }
    
    public String getPackageSection() {
        return packageSection;
    }
    
    public String getAbbreviation() {
        return abbreviation;
    }
    
    public String getName() {
        return name;
    }

}
