/*
 * Created on Sep 20, 2006
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;


/**
 * An exception which can be thrown by a device when an invalid
 * index is given as a parameter.
 * @author jwlg
 */
public class InvalidIndexException extends InvalidParameterException {

    private static final long serialVersionUID = -3272964100912133833L;

    /**
     * Default constructor.
     */
    public InvalidIndexException() {
        super(ErrorSpecs.INVALID_INDEX_EXCEPTION);
    }
    
    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public InvalidIndexException(String message) {
        super(ErrorSpecs.INVALID_INDEX_EXCEPTION, message);
    }
    

}
