/*
 * Created on Sep 20, 2006
 *
 */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;


/**
 * An exception which can be thrown by a device method when an invalid
 * name is given as a parameter.
 * 
 * @author jwlg
 */
public class InvalidNameException extends InvalidParameterException {

    private static final long serialVersionUID = -6244711406154718988L;

    /**
     * Default constructor.
     */
    public InvalidNameException() {
        super(ErrorSpecs.INVALID_NAME_EXCEPTION);
    }

    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public InvalidNameException(String message) {
        super(ErrorSpecs.INVALID_NAME_EXCEPTION, message);
    }
}
