package de.desy.tine.exceptions;

public class BoundToInactiveLinkException extends RuntimeException
{
  private static final long serialVersionUID = 1L;
  private static String defaultMessage = "attempt to execute synchronous bound link before parent is active";
  public BoundToInactiveLinkException()
  {
    super(defaultMessage);
  }
  public BoundToInactiveLinkException(String message)
  {
    super(message);
  }
}
