package de.desy.tine.types;

/**
 * \internal
 * 
 * Alias for FLTFLT
 *
 */
public final class POINT extends FLTFLT
{
  public POINT() {f1val = 0; f2val = 0; }  
  public POINT(float f) { f1val = f; f2val = 0; }  
  public POINT(float f1,float f2) { f1val = f1; f2val = f2; }
  public POINT(POINT instance) { f1val = instance.f1val; f2val = instance.f2val; }
  public boolean equals(POINT instance)
  {
    if (instance.f1val != f1val) return false;
    if (instance.f2val != f2val) return false;
    return true;
  }
  public boolean equals(Object obj)
  {
    if (this == obj) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    final POINT other = (POINT) obj;
    return equals(other);
  }
}
