/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.desy.tine.xmlUtils;

import de.desy.tine.definitions.TAccess;

/**
 * @author karol
 */
public class ValidatedAccess
{
  private boolean valid;
  private int value;
  public boolean isValid()
  {
    return valid;
  }
  public int getValue()
  {
    return value;
  }
  public void setValid(boolean valid)
  {
    this.valid = valid;
  }
  public void setValue(int value)
  {
    this.value = value;
  }
  public ValidatedAccess()
  {
    this.valid = false;
    this.value = 0;
  }
  public void set(int value, boolean valid)
  {
    this.valid = valid;
    this.value = value;
  }
  public ValidatedAccess(int value, boolean valid)
  {
    this.valid = valid;
    this.value = value;
  }
  public ValidatedInt getAccess()
  {
    return new ValidatedInt(value,valid);
  }
  @Override
  public String toString()
  {
    return "[" + Integer.toString(value) + "," + (valid ? " VALID]" : "NOT VALID]");
  }
  static ValidatedAccess parse(String s)
  {
    if (s == null || s.length() == 0)
      return new ValidatedAccess(TAccess.CA_READ, true);
    int acc = TAccess.getAccessCode(s);
    if ((acc & TAccess.CA_SAVERESTORE) != 0 &&
        (acc & TAccess.CA_WRITE) == 0)
    { // not allowed
      acc &= ~TAccess.CA_SAVERESTORE;
    }
    return new ValidatedAccess(acc,true);
  }
}
