/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package de.desy.tine.xmlUtils;

/**
 *
 * @author karol
 */
public class ValidatedFloat 
{
    private boolean valid;
    private float value;

    public boolean isValid()
    {
        return valid;
    }

    public float getValue()
    {
        return value;
    }

    public void setValid(boolean valid)
    {
        this.valid = valid;
    }

    public void setValue(float value)
    {
        this.value = value;
    }

    public ValidatedFloat()
    {
        this.valid = false;
        this.value = 0;
    }
    
    public void set(int value, boolean valid )
    {
        this.valid = valid;
        this.value = value;
    }
    
    public ValidatedFloat( float value, boolean valid )
    {
        this.valid = valid;
        this.value = value;
    }
    
    @Override
    public String toString()
    {
        return "[" + Float.toString(value) + "," + (valid ? " VALID]" : "NOT VALID]");
    }
    
    static ValidatedFloat parse( String s)
    {       
        if(s == null || s.length() == 0) return new ValidatedFloat(0,false);
        
        char c;
        for(int i = 0; i < s.length(); i++) 
        {        
          c = s.charAt(i);
          if(!( Character.isDigit(c) || (c == '.')) ) return new ValidatedFloat(0,false);
        }                
        return new ValidatedFloat( Float.parseFloat(s), true );
    }
}
