/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.desy.tine.xmlUtils;

/**
 * @author karol
 */
public class ValidatedInt
{
  private boolean valid;
  private int value;
  public boolean isValid()
  {
    return valid;
  }
  public int getValue()
  {
    return value;
  }
  public void setValid(boolean valid)
  {
    this.valid = valid;
  }
  public void setValue(int value)
  {
    this.value = value;
  }
  public ValidatedInt()
  {
    this.valid = false;
    this.value = 0;
  }
  public void set(int value, boolean valid)
  {
    this.valid = valid;
    this.value = value;
  }
  public ValidatedInt(int value, boolean valid)
  {
    this.valid = valid;
    this.value = value;
  }
  @Override
  public String toString()
  {
    return "[" + Integer.toString(value) + "," + (valid ? " VALID]" : "NOT VALID]");
  }
  static ValidatedInt parse(String s)
  {
    if (s == null || s.length() == 0) return new ValidatedInt(0, false);
    for (int i = 0; i < s.length(); i++)
    {
      if (!Character.isDigit(s.charAt(i)))
      { // p.d. (24.10.2012): the first character can be a '-' !
        if (i != 0 || s.charAt(0) != '-') return new ValidatedInt(0, false);
      }
    }
    return new ValidatedInt(Integer.parseInt(s), true);
  }
}
