package de.desy.video.sw;

public final class CMain {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		// Phil's server: /TEST/SGP_IMM1
		
		if (args.length > 1) 
		{
			System.out.println("Usage: java CMain /context/server/device");
			System.out.println("   or: java CMain /context/server/");
			
			return;
		}
		
		CFastImageDisplayer imgDisp = new CFastImageDisplayer();

		if (args.length > 0)
		{
			if (imgDisp.doStartTransfer(args[0], true) == false)
				System.out.println("Error starting up live transfer display from command line.");
			else imgDisp.setAlreadyStarted(args[0]);
		}
	}

	
	
}
