@echo off
REM set the environment ...
if "%TINEHOME%" == "" set TINEHOME=%SystemDrive%\tine
if "%JARPATH%" == "" set JARPATH=%TINEHOME%\java
if "%APPHOME%"== "" set APPHOME=.
if "%LOCALSOURCEDIR%" == "" set LOCALSOURCEDIR=L:
if "%ALLUSERSPROFILE%" == "" set ALLUSERSPROFILE=%windir%\Profiles\All Users
if "%CONTROLSOURCEDIR%" == "" set CONTROLSOURCEDIR=.
if "%STARTUPLINK%" == "" set STARTUPLINK=Programs\TINE

REM create tine home ...
mkdir %TINEHOME%
mkdir %TINEHOME%\system32
mkdir %TINEHOME%\java
mkdir %TINEHOME%\Log

REM copy jars ...
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\support\ %windir%\system32\ *.* /XX /XO /R:0
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\packages\ %TINEHOME%\java\ *.* /XX /XO /R:0  
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\apps\TineApps %TINEHOME%\java\ *.* /XX /XO /R:0  
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\apps\ComaStart %TINEHOME%\java\ *.* /XX /XO /R:0  
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\apps\InstantClient %TINEHOME%\java\ *.* /XX /XO /R:0  
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\apps\GlobalsClient %TINEHOME%\java\ *.* /XX /XO /R:0  

REM fix ENS address in cshosts.csv ?
%CONTROLSOURCEDIR%\support\ROBOCOPY %CONTROLSOURCEDIR%\database\ %TINEHOME%\database\ *.csv /XX /XO /R:0

REM put %TINEHOME% on the path ...
echo %path% | find /i "%TINEHOME%"
if "%errorlevel%" == "0" goto skip01
echo Put %TINEHOME% on the path ...
setx PATH "%PATH%;%TINEHOME%\system32" -m
set PATH=%PATH%;%TINEHOME%\system32
:skip01

echo Share Controls Directory ...
net share controls=%TINEHOME%

subst %LOCALSOURCEDIR% %TINEHOME%

echo set control database environment ...
setx TINE_HOME %TINEHOME%\database\ -m
set TINE_HOME=%TINEHOME%\database\

echo Copying Applications to Local Disk ...
set APPDIR=%TINEHOME%\java
set APPJAR=InstantClient.jar
set APPNAME=Java Instant Client
ROBOCOPY %CONTROLSOURCEDIR%\apps\InstantClient\ %APPDIR% *.* /R:0 /S /E
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\JClient.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPJAR=GlobalsViewer.jar
set APPNAME=Java Globals Viewer
ROBOCOPY %CONTROLSOURCEDIR%\apps\GlobalsViewer\ %APPDIR% *.* /R:0 /S /E
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\JGlobalsViewer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPJAR=ComaStart.jar
set APPNAME=Java Container Object MAnager (COMA)
ROBOCOPY %CONTROLSOURCEDIR%\apps\ComaStart\ %APPDIR% *.* /R:0 /S /E
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\ComaStart.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Remote FEC Panel
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\FECRemoteControl.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java ENS Administration
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\ENSAdministration.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Archive Database Manager
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\ArchiveDatabaseManager.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Alarm Viewer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\AlarmViewer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Archive Viewer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\ArchiveViewer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Operation History Viewer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\OperationHistory.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Multi-Channel Analyzer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\MultiChannelAnalyzer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Scope Trace Viewer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\ScopeTraceViewer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Trend Chart Viewer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\TrendChartViewer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Event Archive Viewer
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\EventArchiveViewer.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%

set APPDIR=%TINEHOME%\java
set APPJAR=tineapps.jar
set APPNAME=Java Video Client
CreateLink --l=%STARTUPLINK%\%APPNAME% --x=%APPDIR%\VideoApplication.bat --w=%APPDIR% --i=%APPDIR%\%APPJAR%
